Package opennlp.uima.doccat

# Class LanguageDetector

java.lang.Object
org.apache.uima.analysis_component.AnalysisComponent_ImplBase
org.apache.uima.analysis_component.Annotator_ImplBase
org.apache.uima.analysis_component.CasAnnotator_ImplBase
opennlp.uima.doccat.LanguageDetector

All Implemented Interfaces:
  `org.apache.uima.analysis_component.AnalysisComponent`

public class LanguageDetector extends org.apache.uima.analysis_component.CasAnnotator_ImplBase
Analysis Engine (AE) which can detect the language of a text.

The AE uses the OpenNLP `DocumentCategorizer` and a special language detection model. The outcome of the document categorizer model is written into the language field of the `CAS` view.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageDetector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(org.apache.uima.UimaContext context)`
  `void`
  `process(org.apache.uima.cas.CAS cas)`
  `void`
  `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`

  ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

  `getRequiredCasInterface, process`

  ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

  `getCasInstancesRequired, hasNext, next`

  ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

  `batchProcessComplete, collectionProcessComplete, destroy, reconfigure, setResultSpecification`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LanguageDetector

    public LanguageDetector()

- ## Method Details

  - ### initialize

    public void initialize(org.apache.uima.UimaContext context) throws org.apache.uima.resource.ResourceInitializationException
    Specified by:
      `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### typeSystemInit

    public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem) throws org.apache.uima.analysis_engine.AnalysisEngineProcessException
    Overrides:
      `typeSystemInit` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`
    Throws:
      `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

  - ### process

    public void process(org.apache.uima.cas.CAS cas)
    Specified by:
      `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`